public class CreatePrometheusMonitoringRequest
extends com.aliyun.tea.TeaModel
| 限定符和类型 | 字段和说明 |
|---|---|
String |
clusterId
The ID of the Prometheus instance.
|
String |
configYaml
The monitoring configuration.
|
String |
regionId
The region ID.
|
String |
status
The status of the monitoring configuration.
|
String |
type
The type of the monitoring configuration.
|
| 构造器和说明 |
|---|
CreatePrometheusMonitoringRequest() |
| 限定符和类型 | 方法和说明 |
|---|---|
static CreatePrometheusMonitoringRequest |
build(Map<String,?> map) |
String |
getClusterId() |
String |
getConfigYaml() |
String |
getRegionId() |
String |
getStatus() |
String |
getType() |
CreatePrometheusMonitoringRequest |
setClusterId(String clusterId) |
CreatePrometheusMonitoringRequest |
setConfigYaml(String configYaml) |
CreatePrometheusMonitoringRequest |
setRegionId(String regionId) |
CreatePrometheusMonitoringRequest |
setStatus(String status) |
CreatePrometheusMonitoringRequest |
setType(String type) |
@NameInMap(value="ClusterId") public String clusterId
The ID of the Prometheus instance.
This parameter is required.
example:cc7a37ee31aea4ed1a059eff8034b****
@NameInMap(value="ConfigYaml") public String configYaml
The monitoring configuration. Specify a YAML string.
This parameter is required.
example:Please refer to the supplementary explanation of the request parameters.
@NameInMap(value="RegionId") public String regionId
The region ID.
This parameter is required.
example:cn-hangzhou
@NameInMap(value="Status") public String status
The status of the monitoring configuration. Valid values: run and stop. Default value: run. This parameter is not available if the Type parameter is set to Probe.
example:run
@NameInMap(value="Type") public String type
The type of the monitoring configuration. Valid values for a Prometheus instance for Container Service: serviceMonitor, podMonitor, customJob, and probe. Valid values for a Prometheus instance for ECS: customJob and probe.
This parameter is required.
example:serviceMonitor
public static CreatePrometheusMonitoringRequest build(Map<String,?> map) throws Exception
Exceptionpublic CreatePrometheusMonitoringRequest setClusterId(String clusterId)
public String getClusterId()
public CreatePrometheusMonitoringRequest setConfigYaml(String configYaml)
public String getConfigYaml()
public CreatePrometheusMonitoringRequest setRegionId(String regionId)
public String getRegionId()
public CreatePrometheusMonitoringRequest setStatus(String status)
public String getStatus()
public CreatePrometheusMonitoringRequest setType(String type)
public String getType()
Copyright © 2024. All rights reserved.